Add Handler
curl --request POST \
--url https://api.skulabs.com/webhook/add_handler \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"name": "<string>",
"handler": {
"url": "<string>",
"method": "<string>",
"headers": {}
}
}
'import requests
url = "https://api.skulabs.com/webhook/add_handler"
payload = {
"type": "<string>",
"name": "<string>",
"handler": {
"url": "<string>",
"method": "<string>",
"headers": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
name: '<string>',
handler: {url: '<string>', method: '<string>', headers: {}}
})
};
fetch('https://api.skulabs.com/webhook/add_handler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Webhook
Add Handler
Creates a new webhook handler
POST
/
webhook
/
add_handler
Add Handler
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Webhook event type. Common patterns: order.status., order.shipped, order.tracking, order.tags, item.inventory, item.updated, shipment.created, shipment.voided, purchase_order., transfer_order.*
User-friendly name for the webhook handler
Webhook handler configuration
Show child attributes
Show child attributes
Response
Webhook handler created
Whether the operation succeeded
⌘I